using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class StaticFrame : StaticScreenPiece
    {
        private FrameTemplate myFrameTemplate;

        /// <summary>
        /// Frame template to use when drawing this
        /// </summary>
        [XmlElement("FrameTemplate", IsNullable = false)]
        [Browsable(true), Description("A frame to draw")]
        public FrameTemplate FrameTemplate { get { return myFrameTemplate; } set { myFrameTemplate = value; } }

        public StaticFrame() : this(null) { }
        public StaticFrame(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            StaticFrame temp_StaticFrame = obj as StaticFrame;
            if (temp_StaticFrame != null)
                FrameTemplate = temp_StaticFrame.FrameTemplate;
        }
    }
}
